=== QT/debian/changelog ===
ldview (4.2) stable; urgency=low

  * Release 4.2

 -- Peter Bartfai <pbartfai@stardust.hu>  Thu, 26 Jun 2014 11:30:03 +0200
